/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

//@line 6 "/s/mozilla/xulrunner-17.0.9esr/mozilla-esr17/xulrunner/app/xulrunner.js"

// We need to override the default values of these preferences since all.js
// assumes these are in the navigator package, which for us is nonexistent.
// XXX(darin): perhaps all.js should not be seamonkey specific
pref("general.useragent.locale", "ja-JP-mac");
pref("xpinstall.dialog.confirm", "chrome://mozapps/content/xpinstall/xpinstallConfirm.xul");
pref("xpinstall.dialog.progress.chrome", "chrome://mozapps/content/extensions/extensions.xul");
pref("xpinstall.dialog.progress.skin", "chrome://mozapps/content/extensions/extensions.xul");
pref("xpinstall.dialog.progress.type.chrome", "Extension:Manager");
pref("xpinstall.dialog.progress.type.skin", "Extension:Manager");
pref("xpinstall.enabled", true);
//@line 20 "/s/mozilla/xulrunner-17.0.9esr/mozilla-esr17/xulrunner/app/xulrunner.js"
pref("browser.preferences.instantApply", true);
//@line 23 "/s/mozilla/xulrunner-17.0.9esr/mozilla-esr17/xulrunner/app/xulrunner.js"
pref("browser.preferences.animateFadeIn", true);
//@line 27 "/s/mozilla/xulrunner-17.0.9esr/mozilla-esr17/xulrunner/app/xulrunner.js"

// The default for this pref reflects whether the build is capable of IPC.
// (Turning it on in a no-IPC build will have no effect.)
//@line 31 "/s/mozilla/xulrunner-17.0.9esr/mozilla-esr17/xulrunner/app/xulrunner.js"
// i386 ipc preferences
pref("dom.ipc.plugins.enabled.i386", false);
pref("dom.ipc.plugins.enabled.i386.flash player.plugin", true);
pref("dom.ipc.plugins.enabled.i386.javaplugin2_npapi.plugin", true);
pref("dom.ipc.plugins.enabled.i386.javaappletplugin.plugin", true);
pref("dom.ipc.plugins.enabled.i386.silverlight.plugin", true);
// x86_64 ipc preferences
pref("dom.ipc.plugins.enabled.x86_64", true);
//@line 42 "/s/mozilla/xulrunner-17.0.9esr/mozilla-esr17/xulrunner/app/xulrunner.js"

//@line 46 "/s/mozilla/xulrunner-17.0.9esr/mozilla-esr17/xulrunner/app/xulrunner.js"

// This pref governs whether we attempt to work around problems caused by
// plugins using OS calls to manipulate the cursor while running out-of-
// process.  These workarounds all involve intercepting (hooking) certain
// OS calls in the plugin process, then arranging to make certain OS calls
// in the browser process.  Eventually plugins will be required to use the
// NPAPI to manipulate the cursor, and these workarounds will be removed.
// See bug 621117.
//@line 55 "/s/mozilla/xulrunner-17.0.9esr/mozilla-esr17/xulrunner/app/xulrunner.js"
pref("dom.ipc.plugins.nativeCursorSupport", true);
